import * as React from 'react';
import { History } from 'history';
import { Provider, Store } from 'react-redux';
import { Route, Switch } from 'react-router-dom';
import { ConnectedRouter } from 'react-router-redux';

import AccountLayout from './layout/AccountLayout';
import AppLayout from './layout/AppLayout';

import TempLayout from './layout/TempLayout';

export interface Props {
  store: Store<any>;
  history: History;
}
export interface State {
}

class App extends React.Component<Props, State> {

  constructor(props: Props, context: State) {
    super(props, context);
  }

  public render(): JSX.Element {
    return (
      <Provider store={this.props.store}>
        <ConnectedRouter history={this.props.history}>
          <Switch>
            <Route path='/temp' component={TempLayout}/>
            <Route path='/account' component={AccountLayout}/>
            <Route path='/' component={AppLayout}/>
          </Switch>
        </ConnectedRouter>
      </Provider>
    );
  }
}

export default App;

